---
title: "angledLineThatIntersects"
subtitle: "Function in std::sketch"
excerpt: "Draw an angled line from the current origin, constructing a line segment such that the newly created line intersects the desired target line segment."
layout: manual
---

Draw an angled line from the current origin, constructing a line segment such that the newly created line intersects the desired target line segment.

```kcl
angledLineThatIntersects(
  @sketch: Sketch,
  angle: number,
  intersectTag: TagIdentifier,
  offset?: number,
  tag?: TagDeclarator,
): Sketch
```



### Arguments

| Name | Type | Description | Required |
|----------|------|-------------|----------|
| `sketch` | [`Sketch`](/docs/kcl-std/types/std-types-Sketch) | Which sketch should this path be added to? | Yes |
| `angle` | [`number`](/docs/kcl-std/types/std-types-number) | Which angle should the line be drawn at? | Yes |
| `intersectTag` | [`TagIdentifier`](/docs/kcl-lang/types#TagIdentifier) | The tag of the line to intersect with | Yes |
| `offset` | [`number`](/docs/kcl-std/types/std-types-number) | The offset from the intersecting line. Defaults to 0. | No |
| [`tag`](/docs/kcl-std/types/std-types-tag) | [`TagDeclarator`](/docs/kcl-lang/types#TagDeclarator) | Create a new tag which refers to this line | No |

### Returns

[`Sketch`](/docs/kcl-std/types/std-types-Sketch) - A sketch is a collection of paths.


### Examples

```kcl
exampleSketch = startSketchOn(XZ)
  |> startProfile(at = [0, 0])
  |> line(endAbsolute = [5, 10])
  |> line(endAbsolute = [-10, 10], tag = $lineToIntersect)
  |> line(endAbsolute = [0, 20])
  |> angledLineThatIntersects(angle = 80, intersectTag = lineToIntersect, offset = 10)
  |> close()

example = extrude(exampleSketch, length = 10)
```

![Rendered example of angledLineThatIntersects 0](data:image/png;base64,[encoded data, 66048 characters])


